<?php include_once(WPSITE_FIREBAR_PLUGIN_DIR . 'core/model/email-signups.php'); ?>

<?php if ($news_letter_type == 'WordPress' ||
		  $news_letter_type == 'MailChimp' ||
		  $news_letter_type == 'aweber' ||
		  $news_letter_type == 'getresponse' ||
		  $news_letter_type == 'campaignmonitor' ||
		  $news_letter_type == 'madmimi' ||
		  $news_letter_type == 'infusionsoft' ||
		  $news_letter_type == 'mymail' ||
		  $news_letter_type == 'activecampaign'): ?>

	<form id="<?php echo WPsite_Firebar::$prefix_dash; ?>newsletter" class="<?php echo WPsite_Firebar::$prefix_dash; ?>form" method="post" novalidate="true">

		<?php if (isset($title) && $title != '') { ?>
			<span class="<?php echo WPsite_Firebar::$prefix_dash; ?>text"><?php echo esc_attr($title); ?></span>
		<?php } ?>

		<?php if (isset($news_letter['first_name']) && $news_letter['first_name']) { ?>
			<input id="<?php echo WPsite_Firebar::$prefix_dash; ?>first-name" name="FNAME" type="text" placeholder="<?php echo ( isset($news_letter['first_name_placeholder']) && $news_letter['first_name_placeholder'] != '' ? $news_letter['first_name_placeholder'] : 'First Name'); ?>"/>
		<?php } ?>

		<?php if (isset($news_letter['last_name']) && $news_letter['last_name']) { ?>
			<input id="<?php echo WPsite_Firebar::$prefix_dash; ?>last-name" name="LNAME" type="text" placeholder="<?php echo ( isset($news_letter['last_name_placeholder']) && $news_letter['last_name_placeholder'] != '' ? $news_letter['last_name_placeholder'] : 'Last Name'); ?>"/>
		<?php } ?>

		<p style="display: none;" type="text" id="<?php echo WPsite_Firebar::$prefix_dash; ?>newsletter-type"><?php echo $news_letter_type; ?></p>

		<input id="<?php echo WPsite_Firebar::$prefix_dash; ?>email" name="EMAIL" type="email" placeholder="<?php echo ( isset($news_letter['email_placeholder']) && $news_letter['email_placeholder'] != '' ? $news_letter['email_placeholder'] : 'Email'); ?>"/>

		<input value="<?php echo isset($news_letter['button_text']) ? $news_letter['button_text'] : __('Subscribe', WPsite_Firebar::$text_domain); ?>" type="submit" class="<?php echo WPsite_Firebar::$prefix_dash; ?>submit <?php echo WPsite_Firebar::$prefix_dash; ?>newsletter-button" name="<?php echo WPsite_Firebar::$prefix_dash; ?>submit"/>

		<label class="<?php echo WPsite_Firebar::$prefix_dash; ?>message"></label>

	</form>
<?php endif; ?>

<?php if ($news_letter_type == 'feedburner'): ?>

	<form class="<?php echo WPsite_Firebar::$prefix_dash; ?>form" method="post" action="http://feedburner.google.com/fb/a/mailverify" target="firebarwindow">
		<?php if (isset($title) && $title != '') { ?>
			<span class="<?php echo WPsite_Firebar::$prefix_dash; ?>text"><?php echo esc_attr($title); ?></span>
		<?php } ?>

		<input name="<?php echo WPsite_Firebar::$prefix_dash; ?>newsletter-email" type="text" size="30px" placeholder="Email"/>
		<input value="<?php _e('Subscribe', WPsite_Firebar::$text_domain); ?>" type="submit" class="<?php echo WPsite_Firebar::$prefix_dash; ?>submit <?php echo WPsite_Firebar::$prefix_dash; ?>newsletter-button" name="<?php echo WPsite_Firebar::$prefix_dash; ?>submit"/>

	</form>
	<script type="text/javascript">
		jQuery(document).ready(function($){
			$(".wps-fb-form").submit(function(e){
				e.preventDefault();
				window.open('http://feedburner.google.com/fb/a/mailverify?uri=<?php echo esc_attr( $feedburner_id ); ?>', 'firebarwindow', 'scrollbars=yes,width=550,height=520');
				return true;
			});
		});
	</script>
<?php endif; ?>